Supply agents

Book a (partial) goods receipt and re-run matching

POST
/api/v1/purchase-orders/{order_id}/goods-receipts

Book a (partial) goods receipt and re-run matching.

Authorization

HTTPBearer
AuthorizationBearer <token>

JWT access token

In: header

Path Parameters

order_id*string
Formatuuid

Query Parameters

merchant_id?|

Optional merchant to act on. Must be one you are a member of.

Formatuuid

Header Parameters

X-Merchant-ID?string|null

Request Body

application/json

lines*array<>
Items1 <= items
notes?string
Lengthlength <= 1000
Default""

Response Body

application/json

application/json

curl -X POST "https://example.com/api/v1/purchase-orders/497f6eca-6276-4993-bfeb-53cbbbba6f08/goods-receipts" \  -H "Content-Type: application/json" \  -d '{    "lines": [      {        "line_id": "6cb02bfb-65d4-467b-864d-461e923db664",        "quantity": 0      }    ]  }'
{  "data": {},  "meta": {},  "success": true}